# DataExchange
TKIGES
IGESGeom

# IGESGeom_TabulatedCylinder Class Reference

defines IGESTabulatedCylinder, Type <122> Form <0>
in package IGESGeom
A tabulated cylinder is a surface formed by moving a line
segment called generatrix parallel to itself along a curve
called directrix. The curve may be a line, circular arc,
conic arc, parametric spline curve, rational B-spline
curve or composite curve.

`#include <IGESGeom_TabulatedCylinder.hxx>`

Inheritance diagram for IGESGeom_TabulatedCylinder:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGeom_TabulatedCylinder ()
Standard_EXPORT void | Init (const Handle(IGESData_IGESEntity)&aDirectrix, const gp_XYZ &anEnd)
| This method is used to set the fields of the class TabulatedCylinder - aDirectrix : Directrix Curve of the tabulated cylinder - anEnd : Coordinates of the terminate point of the generatrix The start point of the directrix is identical to the start point of the generatrix .
Standard_EXPORT Handle_IGESData_IGESEntity | Directrix () const
| returns the directrix curve of the tabulated cylinder
Standard_EXPORT gp_Pnt | EndPoint () const
| returns end point of generatrix of the tabulated cylinder
Standard_EXPORT gp_Pnt | TransformedEndPoint () const
| returns end point of generatrix of the tabulated cylinder after applying Transf. Matrix
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESData_IGESEntity | theDirectrix
gp_XYZ | theEnd

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_TabulatedCylinder::IGESGeom_TabulatedCylinder | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESGeom_TabulatedCylinder::Directrix | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESGeom_TabulatedCylinder::EndPoint | ( |  | ) | const

Standard_EXPORT const IGESGeom_TabulatedCylinder::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGeom_TabulatedCylinder::Init | ( | const Handle(IGESData_IGESEntity)& | aDirectrix,
|  | const gp_XYZ & | anEnd
| ) |

Standard_EXPORT gp_Pnt IGESGeom_TabulatedCylinder::TransformedEndPoint | ( |  | ) | const

## Field Documentation

Handle_IGESData_IGESEntity IGESGeom_TabulatedCylinder::theDirectrix `[private]`

gp_XYZ IGESGeom_TabulatedCylinder::theEnd `[private]`

The documentation for this class was generated from the following file:

- IGESGeom_TabulatedCylinder.hxx